// KPPPLoad - a PPP load monitor
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include <kapp.h>

#include "KPPPLoad.h"
#include "Options.h"

Options* options;

int main( int argc, char* argv[] )
{
    KApplication app( argc, argv, "kpppload" );

    options = new Options();

    KPPPLoad* mw;
    
    if ( app.isRestored() && KTopLevelWidget::canBeRestored( 1 ) ) {
        mw = new KPPPLoad;
        mw->restore( 1 );
        app.setMainWidget( mw );
    } else {
        // create default application as usual
        mw = new KPPPLoad;
        app.setMainWidget( mw );
        mw->show();
    }

    app.exec();
}
